<div class="DashboardSection">
  <div class="image">
  <h1 id="para1"><i>USER DASHBOARD</i></h1>
</div>
</div>


<mat-tab-group >
  <mat-tab id='inbox'>
      <ng-template mat-tab-label>
          <mat-icon class="example-tab-icon">email</mat-icon>
          &nbsp; Inbox
        </ng-template> 
    
    <table class="table table-bordered table-condensed table-striped" *ngIf='inboxdata;' >
      <tr id='headings'>

        <th style="text-align:center;">ID</th>
        <th style="text-align:center;">SUMMARY</th>
        <th style="text-align:center;width:10%;">LOCATION</th>
        <th style="text-align:center;">DATE</th>
        <th style="text-align:center;width:10%;">DEADLINE</th>
      </tr>


      <tr *ngFor='let m of inboxdata;'>
 
          <td>{{m.ID}} </td>
          <td>{{m.SUMMARY}} </td>
          <td>{{m.LOCATION}} </td>
          <td>{{m.DATE}} </td>
          <td>{{m.DEADLINE}} </td>
        </tr>


    </table>

  </mat-tab>

  <mat-tab id='fav'>
      <ng-template mat-tab-label>
          <mat-icon class="example-tab-icon">grade</mat-icon>
          &nbsp; Favourite
        </ng-template>
    
        <table class="table table-bordered table-condensed table-striped" id='fav1' *ngIf='favdata;'>
            <tr id='headings'>
              <th style="text-align:center;">ID</th>
              <th style="text-align:center;">SUMMARY</th>
              <th style="text-align:center;width:10%;">LOCATION</th>
              <th style="text-align:center;">DATE</th>
              <th style="text-align:center;width:10%;">DEADLINE</th>
            </tr>

            <tr *ngFor='let m of favdata;'>
              <td>{{m.ID}} </td>
              <td>{{m.SUMMARY}} </td>
              <td>{{m.LOCATION}} </td>
              <td>{{m.DATE}} </td>
              <td>{{m.DEADLINE}} </td>
            </tr>

          </table>
    
     </mat-tab>

  <mat-tab id='imp'> 
      <ng-template mat-tab-label>
          <mat-icon class="example-tab-icon">label_important</mat-icon>
          &nbsp; Important
        </ng-template> 
     
        <table class="table table-bordered table-condensed table-striped" id='imp1' *ngIf='impdata;'>
            <tr id='headings'>
              <th style="text-align:center;">ID</th>
              <th style="text-align:center;">SUMMARY</th>
              <th style="text-align:center;width:10%;">LOCATION</th>
              <th style="text-align:center;">DATE</th>
              <th style="text-align:center;width:10%;">DEADLINE</th>
            </tr>

            <tr *ngFor='let m of impdata;'>
              <td>{{m.ID}} </td>
              <td>{{m.SUMMARY}} </td>
              <td>{{m.LOCATION}} </td>
              <td>{{m.DATE}} </td>
              <td>{{m.DEADLINE}} </td>
            </tr>

          </table>
    
  </mat-tab>

  <mat-tab id='trash' >
      <ng-template mat-tab-label>
          <mat-icon class="example-tab-icon">delete</mat-icon>
          &nbsp; Trash
        </ng-template>
      
        <table class="table table-bordered table-condensed table-striped" *ngIf='trashdata;'>
            <tr id='headings'>
              <th style="text-align:center;">ID</th>
              <th style="text-align:center;">SUMMARY</th>
              <th style="text-align:center;width:10%;">LOCATION</th>
              <th style="text-align:center;">DATE</th>
              <th style="text-align:center;width:10%;">DEADLINE</th>
            </tr>

            <tr *ngFor='let m of trashdata;'>
              <td>{{m.ID}} </td>
              <td>{{m.SUMMARY}} </td>
              <td>{{m.LOCATION}} </td>
              <td>{{m.DATE}} </td>
              <td>{{m.DEADLINE}} </td>
            </tr>

          </table>
    
    </mat-tab>


</mat-tab-group>




